
QGIS Application - Bug report #20432

Missing "resampling method" and "overview format" in GDAL "create overviews" tool

2018-11-09 10:49 PM - Ken Martin

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28252

Description

Selecting a "Resampling method" in the "Create Options - pyramids" dialog that's presented when clicking on "Edit Pyramid Options" in 

Settings > Options > GDAL > GTiff is not honored.

It is saved (it's there when I go back again, and it persists across app restarts), but in either Rasters > Miscellaneous > Build Overviews

(Pyramids) or in Processing Toolbox >  GDAL > Raster Miscellaneous > Build Overviews (Pyramids) I only ever see -r nearest

Associated revisions

Revision 3d33b9f1 - 2018-12-31 11:20 AM - Alexander Bruy

[processing] expose resampling and format options in the gdaladdo

algorithm (fix #20432)

These options actually were here but not added to the UI.

Revision 1233a21a - 2019-01-01 12:35 PM - Alexander Bruy

Merge pull request #8766 from alexbruy/processing-gdaladdo

[processing][needs-docs] expose resampling and format options in the gdaladdo (fix #20432)

Revision be60f12e - 2019-01-01 12:37 PM - Alexander Bruy

[processing] expose resampling and format options in the gdaladdo

algorithm (fix #20432)

These options actually were here but not added to the UI.

(cherry picked from commit 3d33b9f1e227b569c59d25df311b36e8412d1d77)

History

#1 - 2018-11-12 12:02 PM - Giovanni Manghi

- Subject changed from Options > GDAL > GTiff > Edit Pyramid Options not honored to Missing "resampling method" and "overview format" in GDAL 

"create overviews" tool

- Priority changed from Normal to High
- Assignee set to Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

- Regression? changed from No to Yes

- Operating System deleted (Mac OS 10.13)

- Affected QGIS version changed from 3.4.0 to 3.4.1

The options were available in 2.18.

#2 - 2019-01-01 12:34 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3d33b9f1e227b569c59d25df311b36e8412d1d77.

#3 - 2019-01-01 12:38 PM - Alexander Bruy

- Resolution set to fixed/implemented
